@echo off
rem       This is the installation batch file for the File Libraries.
rem
BTRIEVE /P:2048 /E
rem
rem          This file is the same as GALFILCI.BAT, except that this one
rem                         loads and unloads BTRIEVE.
rem
if not exist GALLIBS.DAT goto end
if not exist GALFILES.DAT goto end
if not exist GALFILC.EXE goto end
if not exist GALFILKW.EXE goto end
if not exist GALFILF.VIR goto end
if not exist GALFILL.VIR goto end
if not exist GALFILF.DAT goto copyvirs
if not exist GALFILL.DAT goto copyvirs
if not exist GALFILK.DAT goto copyvirs
:resume1
GALFILC
if errorlevel 2 goto end
if errorlevel 1 goto waitmi
if not exist GALFILK.DAT copy GALFILK.VIR GALFILK.DAT
GALFILKW
goto end
rem
rem           Subroutine to catch an error
rem
:waitmi
echo
echo Write down the error message in the box, then hit Ctrl-C to stop, or
pause
goto end
:copyvirs
rem
rem           Subroutine to copy the non-existent .DAT files
rem
if not exist GALFILF.VIR goto end
if not exist GALFILL.VIR goto end
COPY GALFILF.VIR GALFILF.DAT
COPY GALFILL.VIR GALFILL.DAT
goto resume1
:end
BBSRMB
